mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

This class makes a link demand. A SecurityException is thrown if the immediate caller does not have infrastructure permission. See [<topic://cpconLinkDemands>] for more information.

Provides APIs that are needed for communication and operation with unmanaged classes outside of the . This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates an instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Runtime.Remoting.Activation.IConstructionReturnMessage `` `` To be added

  Constructs a from the specified .

  A returned from the construction call that is specified in the parameter.

  A construction call to the object from which the new instance is returning. A that represents the object that is constructed with the construction call in .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method can cause unwanted behavior. Before calling it, the user must ensure that this is a thread-safe operation, and that a call is not being made through the CCW to one of the instances of the class.

  Switches a [<topic://cpconcomcallablewrapper>] (CCW) from one instance of a class to another instance of the same class.

  A proxy that represents the old instance of a class that is referenced by a CCW. A proxy that represents the new instance of a class that is referenced by a CCW.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method is similar to the method, but does not attempt to maintain the identity of the unmanaged object. For example, two calls with the same IUnknown to the current method return two different RCWs, but two calls to the method with the same IUnknown return the same RCW.

  Wraps the specified IUnknown COM interface with a [<topic://cpconruntimecallablewrapper>] (RCW).

  The RCW where the specified IUnknown is wrapped.

  A pointer to the IUnknown COM interface to wrap.